Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.document
Class AbstractDocumentProvider.ElementInfo

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.AbstractDocumentProvider.ElementInfo

All Implemented Interfaces:
  IDocumentListener

Direct Known Subclasses:
  DiagramInputDocumentProvider.DiagramResourceInfo, StorageDocumentProvider.StorageInfo

Enclosing class:
  AbstractDocumentProvider

protected class AbstractDocumentProvider.ElementInfo
extends java.lang.Object
implements IDocumentListener

Collection of all information managed for a connected element.

Field Summary
`boolean` `fCanBeSaved` Can the element be saved
`int` `fCount` How often the element has been connected
`IDocument` `fDocument` The element's document
`java.lang.Object` `fElement` The element for which the info is stored
`boolean` `fIsStateValidated` Has element state been validated
`IStatus` `fStatus` The status of this element

Constructor Summary
`AbstractDocumentProvider.ElementInfo(IDocument document)` Creates a new element info, initialized with the given document and annotation model.

Method Summary
`void` `documentAboutToBeChanged(DocumentEvent event)` The manipulation described by the document event will be performed.
`void` `documentChanged(DocumentEvent event)` The manipulation described by the document event has been performed.
`boolean` `equals(java.lang.Object o)` An element info equals another object if this object is an element info and if the documents of the two element infos are equal.
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fElement

    public java.lang.Object fElement

  The element for which the info is stored

### fCount

    public int fCount

  How often the element has been connected

### fCanBeSaved

    public boolean fCanBeSaved

  Can the element be saved

### fDocument

    public IDocument fDocument

  The element's document

### fIsStateValidated

    public boolean fIsStateValidated

  Has element state been validated

### fStatus

    public IStatus fStatus

  The status of this element

Constructor Detail

### AbstractDocumentProvider.ElementInfo

    public AbstractDocumentProvider.ElementInfo(IDocument document)

  Creates a new element info, initialized with the given document and annotation model.

Parameters:
  `document` - the document

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  An element info equals another object if this object is an element info and if the documents of the two element infos are equal.

  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

### documentChanged

    public void documentChanged(DocumentEvent event)

  Description copied from interface: `IDocumentListener`
  The manipulation described by the document event has been performed.

  Specified by:
    `documentChanged` in interface `IDocumentListener`
  Parameters:
    `event` - the document event describing the document change
  See Also:
    `IDocumentListener.documentChanged(DocumentEvent)`

### documentAboutToBeChanged

    public void documentAboutToBeChanged(DocumentEvent event)

  Description copied from interface: `IDocumentListener`
  The manipulation described by the document event will be performed.

  Specified by:
    `documentAboutToBeChanged` in interface `IDocumentListener`
  Parameters:
    `event` - the document event describing the document change
  See Also:
    `IDocumentListener.documentAboutToBeChanged(DocumentEvent)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.